<div *ngIf="dataSource">
    <table mat-table [dataSource]="dataSource" width="100%">
        <ng-container matColumnDef="label">
            <th mat-header-cell *matHeaderCellDef>Label</th>
            <td mat-cell *matCellDef="let row">{{ row.label }}</td>
        </ng-container>
        <ng-container matColumnDef="quantity">
            <th mat-header-cell *matHeaderCellDef>Quantity</th>
            <td mat-cell *matCellDef="let row">{{ row.quantity }}</td>
        </ng-container>
        <ng-container matColumnDef="actions">
            <th mat-header-cell *matHeaderCellDef>Actions</th>
            <td mat-cell *matCellDef="let row">
                <div class="btn-group">
                    <button mat-icon-button (click)="add(row)">
                        <mat-icon>add</mat-icon>
                    </button>
                    <button mat-icon-button (click)="remove(row)">
                        <mat-icon>remove</mat-icon>
                    </button>
                </div>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayColumns"></tr>
    </table>
    <button mat-mini-fab (click)="save()">
        <mat-icon>save</mat-icon>
    </button>

    <button mat-mini-fab (click)="checkout()">
        <mat-icon>checkcout</mat-icon>
    </button>
</div>